/* 
 * File:   adcreader.h
 * Author: Carlo Alessandro Nicolau @ INFN
 * 
 * Firmware for BPD board.
 * ADC reader functions.
 * 
 */

#ifndef __ADCREADER_H
#define	__ADCREADER_H

#include "typedefs.h"
#include "spurious.h"

// adcreader state machine status type
typedef enum {
    ADCREADER_RESET = 0,
    ADCREADER_MUXCHANGE,
    ADCREADER_CONVSTART,
} adcreader_state_t;

void adcreader_reset(void);
void adcreader_start(void);
void adcreader_tick_irq(void);

// prescaler for counts before saving the sum value
extern enum_averagingprescaler_t adcreader_averaging_prescaler;

// number of counts before saving the sum value (must be equal to 2^adcreader_averaging_prescaler)
extern analog_variable_sum_counter_t adcreader_averaging_prescaler_maxcount; 


#endif // __ADCREADER_H

