/*
 * File:   commands.c
 * Author: Carlo Alessandro Nicolau @ INFN
 * 
 * Firmware for BPD board.
 * Commands-related functions.
 * 
 */

#include "commands.h"
#include "generated/sources/commandstable.h"


command_index_t commands_get_count(void) {
    return (command_index_t)(sizeof(commands_info_table)/sizeof(command_info_t));
}

err_t commands_retrieve_info_bycode(command_code_t _code, command_info_t **_pp_cmdinfo) {
    // number of defined commands
    command_index_t num_cmds = commands_get_count();
    // cycle over all defined commands until requested command found
    (*_pp_cmdinfo) = commands_info_table;
    while(num_cmds--) {        
        if((*_pp_cmdinfo)->request_code == _code) return NOERR;
        (*_pp_cmdinfo)++;
    }
    // command code not found
    return ERR_COMMANDS_UNDEFINED;    
}