// Auto-generated template file: command_ALARM_ENABLE_GETALL.tpl.c
// Generation timestamp: 2021-06-24 21:21:08.464784


#include "../typedefs.h"  
#include "../communication.h"  
#include "../hardware.h"
#include "../spurious.h" // NOT INCLUDED IN GENERATED CODE

err_t command_ALARM_ENABLE_GETALL(void) {
    // Command: ALARM_ENABLE_GETALL
    // Description: Get the current enable status of all alarms
    // 
    // Request code: CMDCODE_ALARM_ENABLE_GETALL_REQ
    // Response code: CMDCODE_ALARM_ENABLE_GETALL_REQ
    // Request payload (length in bytes is 0):
    // Response payload (length in bytes is 14):
    //     field #0   (1 byte) [type: enum_enablestate_t] : ENABLESTATE (Alarm MON_VEOC_RTN_I_ALARM_SLOW enable state)
    //     field #1   (1 byte) [type: enum_enablestate_t] : ENABLESTATE (Alarm MON_VEOC_RTN_I_ALARM_FAST enable state)
    //     field #2   (1 byte) [type: enum_enablestate_t] : ENABLESTATE (Alarm MON_VEOC_FWR_I_ALARM_SLOW enable state)
    //     field #3   (1 byte) [type: enum_enablestate_t] : ENABLESTATE (Alarm MON_VEOC_FWR_I_ALARM_FAST enable state)
    //     field #4   (1 byte) [type: enum_enablestate_t] : ENABLESTATE (Alarm MON_HYDRO_I_ALARM_SLOW enable state)
    //     field #5   (1 byte) [type: enum_enablestate_t] : ENABLESTATE (Alarm MON_HYDRO_I_ALARM_FAST enable state)
    //     field #6   (1 byte) [type: enum_enablestate_t] : ENABLESTATE (Alarm MON_LBL_I_ALARM_SLOW enable state)
    //     field #7   (1 byte) [type: enum_enablestate_t] : ENABLESTATE (Alarm MON_LBL_I_ALARM_FAST enable state)
    //     field #8   (1 byte) [type: enum_enablestate_t] : ENABLESTATE (Alarm FLAG_DUL_ALARMPOS1_ALARM enable state)
    //     field #9   (1 byte) [type: enum_enablestate_t] : ENABLESTATE (Alarm FLAG_DUL_ALARMPOS2_ALARM enable state)
    //     field #10  (1 byte) [type: enum_enablestate_t] : ENABLESTATE (Alarm FLAG_DUL_ALARMNEG1_ALARM enable state)
    //     field #11  (1 byte) [type: enum_enablestate_t] : ENABLESTATE (Alarm FLAG_DUL_ALARMNEG2_ALARM enable state)
    //     field #12  (1 byte) [type: enum_enablestate_t] : ENABLESTATE (Alarm FLAG_HYDRO_PWR_FAULT_ALARM enable state)
    //     field #13  (1 byte) [type: enum_enablestate_t] : ENABLESTATE (Alarm FLAG_LBL_PWR_FAULT_ALARM enable state)

    // Auto-generated section: request payload fields reading
    // End of auto-generated section

    // USER CODE HERE
    // TODO CHECK command_ALARM_ENABLE_GETALL
    
    // IMPORTANT: we are assuming (please double check) that the 
    // enum_alarm_number_t is ordered as the payload    
    
    communication_response_payload_appender_reset();        
    for(enum_alarm_number_t alarm_number = enum_alarm_number_t_min; alarm_number <= enum_alarm_number_t_max; alarm_number++) {
        bool* enable_ptr = alarm_get_enable_ptr_by_enum(alarm_number);
        INTERRUPT_GlobalInterruptDisable();
        bool enable = *enable_ptr;
        INTERRUPT_GlobalInterruptEnable();        
        communication_response_payload_append_uint8_t((uint8_t)enable);
    }
    
    // NOTICE: SOME GENERATED CODE REMOVED
    return NOERR;
    // End of auto-generated section
}