// Auto-generated template file: command_ALARM_FIRED_RESET.tpl.c
// Generation timestamp: 2021-06-17 18:31:59.933877


#include "../typedefs.h"  
#include "../communication.h"  
#include "../hardware.h"
#include "../spurious.h" // NOT INCLUDED IN GENERATED CODE

err_t command_ALARM_FIRED_RESET(void) {
    // Command: ALARM_FIRED_RESET
    // Description: Reset the has-fired flag of one alarm (or all alarms)
    // 
    // Request code: CMDCODE_ALARM_FIRED_RESET_REQ
    // Response code: CMDCODE_ALARM_FIRED_RESET_REQ
    // Request payload (length in bytes is 1):
    //     field #0   (1 byte) [type: enum_alarm_number_all_t] : ALARM_NUMBER_ALL (Alarm number)
    // Response payload (length in bytes is 0):

    // Auto-generated section: request payload fields reading
    enum_alarm_number_all_t req_alarm_number_all = (enum_alarm_number_all_t)communication_request_payload_retrieve_uint8_t();
    // checking range for enum field req_alarm_number_all
    if((uint8_t)req_alarm_number_all < (uint8_t)enum_alarm_number_all_t_min) return ERR_RANGE;
    if((uint8_t)req_alarm_number_all > (uint8_t)enum_alarm_number_all_t_max) return ERR_RANGE;
    // End of auto-generated section

    // USER CODE HERE
    // TODO CHECK command_ALARM_FIRED_RESET    
    if(req_alarm_number_all == ALARM_NUMBER_ALL_ALARMS_ALL) {
        for(uint8_t enum_idx = enum_alarm_number_t_min; enum_idx <= enum_alarm_number_t_max; enum_idx++) {
            alarm_firecount_t* p_firecount = alarm_get_firecount_ptr_by_enum((enum_alarm_number_t)enum_idx);
            INTERRUPT_GlobalInterruptDisable();
            (*p_firecount) = 0;
            INTERRUPT_GlobalInterruptEnable();
        }
    }else{
        alarm_firecount_t* p_firecount = alarm_get_firecount_ptr_by_enum((enum_alarm_number_t)req_alarm_number_all);
        INTERRUPT_GlobalInterruptDisable();
        (*p_firecount) = 0;
        INTERRUPT_GlobalInterruptEnable();
    }

    // Auto-generated section: response payload fields writing
    communication_response_payload_appender_reset();
    return NOERR;
    // End of auto-generated section
}
