// Auto-generated template file: command_RESCUE_ENABLE.tpl.c
// Generation timestamp: 2021-06-17 18:31:59.933877


#include "../typedefs.h"  
#include "../communication.h"  
#include "../hardware.h"
#include "../rescue.h" // NOT INCLUDED IN GENERATED CODE

err_t command_RESCUE_ENABLE(void) {
    // Command: RESCUE_ENABLE
    // Description: Enable or disable auto-rescue (or read enable status)
    // 
    // Request code: CMDCODE_RESCUE_ENABLE_REQ
    // Response code: CMDCODE_RESCUE_ENABLE_REQ
    // Request payload (length in bytes is 1):
    //     field #0   (1 byte) [type: enum_enablestate_nc_t] : ENABLESTATE_NC (Enable state)
    // Response payload (length in bytes is 1):
    //     field #0   (1 byte) [type: enum_enablestate_t] : ENABLESTATE (Enable state)

    // Auto-generated section: request payload fields reading
    enum_enablestate_nc_t req_enablestate_nc = (enum_enablestate_nc_t)communication_request_payload_retrieve_uint8_t();
    // checking range for enum field req_enablestate_nc
    if((uint8_t)req_enablestate_nc < (uint8_t)enum_enablestate_nc_t_min) return ERR_RANGE;
    if((uint8_t)req_enablestate_nc > (uint8_t)enum_enablestate_nc_t_max) return ERR_RANGE;
    // End of auto-generated section

    // USER CODE HERE
    // TODO CHECK command_RESCUE_ENABLE    
    switch(req_enablestate_nc) {        
        case ENABLESTATE_NC_DISABLED:
            rescue_set_disabled();
            break;
        case ENABLESTATE_NC_ENABLED:
            rescue_set_enabled();
            break;
        case ENABLESTATE_NC_NO_CHANGE:
            break;
        default:
            return ERR_PAYLOAD;
    }    
    enum_enablestate_t resp_enablestate = rescue_get_enable_status()?ENABLESTATE_ENABLED:ENABLESTATE_DISABLED;

    // Auto-generated section: response payload fields writing
    communication_response_payload_appender_reset();
    communication_response_payload_append_uint8_t((uint8_t)resp_enablestate);
    return NOERR;
    // End of auto-generated section
}
