// Auto-generated template file: command_SWITCH_CONTROL.tpl.c
// Generation timestamp: 2021-06-17 18:31:59.933877


#include "../typedefs.h"  
#include "../communication.h"  
#include "../hardware.h"
#include "../generated/sources/variables.h" // NOT INCLUDED IN GENERATED CODE

err_t command_SWITCH_CONTROL(void) {
    // Command: SWITCH_CONTROL
    // Description: Control one of the switches or enable lines of the board. Can be used to get the current switch status without changing it (see request payload field status)
    // 
    // Request code: CMDCODE_SWITCH_CONTROL_REQ
    // Response code: CMDCODE_SWITCH_CONTROL_REQ
    // Request payload (length in bytes is 2):
    //     field #0   (1 byte) [type: enum_switchnum_t] : SWITCHNUM  (Switch number)
    //     field #1   (1 byte) [type: enum_switchstate_nc_t] : SWITCHSTATE_NC (Switch state)
    // Response payload (length in bytes is 2):
    //     field #0   (1 byte) [type: enum_switchnum_t] : SWITCHNUM  (Switch number)
    //     field #1   (1 byte) [type: enum_switchstate_t] : SWITCHSTATE (Switch state)

    // Auto-generated section: request payload fields reading
    enum_switchnum_t req_switchnum = (enum_switchnum_t)communication_request_payload_retrieve_uint8_t();
    enum_switchstate_nc_t req_switchstate_nc = (enum_switchstate_nc_t)communication_request_payload_retrieve_uint8_t();
    // checking range for enum field req_switchnum
    if((uint8_t)req_switchnum < (uint8_t)enum_switchnum_t_min) return ERR_RANGE;
    if((uint8_t)req_switchnum > (uint8_t)enum_switchnum_t_max) return ERR_RANGE;
    // checking range for enum field req_switchstate_nc
    if((uint8_t)req_switchstate_nc < (uint8_t)enum_switchstate_nc_t_min) return ERR_RANGE;
    if((uint8_t)req_switchstate_nc > (uint8_t)enum_switchstate_nc_t_max) return ERR_RANGE;
    // End of auto-generated section

    // USER CODE HERE
    // CHECK : OK
    enum_switchnum_t resp_switchnum = req_switchnum;       
    enum_switchstate_t resp_switchstate;    
    switch_state_set_func_t switch_state_set_func = switch_get_function_set_by_enum(req_switchnum);
    switch_state_get_func_t switch_state_get_func = switch_get_function_get_by_enum(req_switchnum);
    
    if(req_switchstate_nc != SWITCHSTATE_NC_NO_CHANGE) {
        INTERRUPT_GlobalInterruptDisable();
        switch_state_set_func((enum_switchstate_t)req_switchstate_nc);
        INTERRUPT_GlobalInterruptEnable();
    }
    
    INTERRUPT_GlobalInterruptDisable();
    resp_switchstate = switch_state_get_func();
    INTERRUPT_GlobalInterruptEnable();

    // Auto-generated section: response payload fields writing
    communication_response_payload_appender_reset();
    communication_response_payload_append_uint8_t((uint8_t)resp_switchnum);
    communication_response_payload_append_uint8_t((uint8_t)resp_switchstate);
    return NOERR;
    // End of auto-generated section
}
