// Auto-generated file: variables.h
// Generation timestamp: 2021-06-24 21:21:08.464784

#ifndef _AUTOGENERATED_VARIABLES_H
#define _AUTOGENERATED_VARIABLES_H


#include "../../typedefs.h"

// analog reading info structure
typedef struct {
    analog_channel_t channel;                   // ADC channel from which the variable can be read
    analog_value_t value;                       // last acquired value
    analog_variable_sum_t sum_curr;             // current sum (to compute average)
    analog_variable_sum_t sum_last;             // last computed sum
    analog_variable_sum_counter_t sum_counter;  // current count for sum computation
    analog_value_t offset;                      // offset value
    analog_value_t value_max;                   // max value acquired
    analogalarm_dual_info_t alarms;             // structure maintaining all the info related to the slow and fast alarms    
} analog_variable_t;
    
// number of defined analog variables
#define ANALOG_VARIABLES_COUNT 11
    
#define ANALOG_VARIABLE_INDEX_MON_DUL_BOARDTEMP  0    // index of the analog variable MON_DUL_BOARDTEMP inside analog_variables array
#define ANALOG_VARIABLE_INDEX_MON_TEMP2  1    // index of the analog variable MON_TEMP2 inside analog_variables array
#define ANALOG_VARIABLE_INDEX_MON_TEMP1  2    // index of the analog variable MON_TEMP1 inside analog_variables array
#define ANALOG_VARIABLE_INDEX_MON_VEOC_RTN_I  3    // index of the analog variable MON_VEOC_RTN_I inside analog_variables array
#define ANALOG_VARIABLE_INDEX_MON_VEOC_FWR_I  4    // index of the analog variable MON_VEOC_FWR_I inside analog_variables array
#define ANALOG_VARIABLE_INDEX_MON_HYDRO_I  5    // index of the analog variable MON_HYDRO_I inside analog_variables array
#define ANALOG_VARIABLE_INDEX_MON_INPUT_V  6    // index of the analog variable MON_INPUT_V inside analog_variables array
#define ANALOG_VARIABLE_INDEX_MON_LBL_I  7    // index of the analog variable MON_LBL_I inside analog_variables array
#define ANALOG_VARIABLE_INDEX_MON_GLRA_I  8    // index of the analog variable MON_GLRA_I inside analog_variables array
#define ANALOG_VARIABLE_INDEX_MON_GLRB_I  9    // index of the analog variable MON_GLRB_I inside analog_variables array
#define ANALOG_VARIABLE_INDEX_MON_PWB_I  10    // index of the analog variable MON_PWB_I inside analog_variables array

// some utility functions    
bool variable_is_analog_by_enum(enum_variable_number_t _variable_index);
analog_variable_t* analog_variable_get_pointer_by_enum(enum_variable_number_t _variable_index);
bool alarm_is_analog_by_enum(enum_alarm_number_t _alarm_index);
analogalarm_info_t* alarm_get_analog_alarm_ptr_by_enum(enum_alarm_number_t _alarm_index);    
    
    
// make analog variable list available to anyone including this file
extern analog_variable_t analog_variables[ANALOG_VARIABLES_COUNT];
    
// Callback function for alarm on analog variable MON_VEOC_RTN_I (DU backbone return current sensor signal acquisition )
void alarm_MON_VEOC_RTN_I();

// Callback function for alarm on analog variable MON_VEOC_FWR_I (DU backbone forward current sensor signal acquisition )
void alarm_MON_VEOC_FWR_I();

// Callback function for alarm on analog variable MON_HYDRO_I (HYDRO current sensor signal acquisition )
void alarm_MON_HYDRO_I();

// Callback function for alarm on analog variable MON_LBL_I (LBL current sensor signal acquisition )
void alarm_MON_LBL_I();

// digital reading info structure
typedef struct {
    digital_value_readfunc_t readfunc;    // function to read the value (must be defined by user)
    digital_value_t value;                // last acquired value
    digital_value_t value_max;            // max value acquired (...)
    digitalalarm_info_t alarm;            // structure maintaining all the info related to the alarm    
} digital_variable_t;
    
// number of defined analog variables
#define DIGITAL_VARIABLES_COUNT 12
    
#define DIGITAL_VARIABLE_INDEX_FLAG_DUL_ALARMPOS1  0    // index of the analog variable FLAG_DUL_ALARMPOS1 inside analog_variables array
#define DIGITAL_VARIABLE_INDEX_FLAG_DUL_ALARMPOS2  1    // index of the analog variable FLAG_DUL_ALARMPOS2 inside analog_variables array
#define DIGITAL_VARIABLE_INDEX_FLAG_DUL_ALARMNEG1  2    // index of the analog variable FLAG_DUL_ALARMNEG1 inside analog_variables array
#define DIGITAL_VARIABLE_INDEX_FLAG_DUL_ALARMNEG2  3    // index of the analog variable FLAG_DUL_ALARMNEG2 inside analog_variables array
#define DIGITAL_VARIABLE_INDEX_FLAG_HYDRO_PWR_FAULT  4    // index of the analog variable FLAG_HYDRO_PWR_FAULT inside analog_variables array
#define DIGITAL_VARIABLE_INDEX_FLAG_LBL_PWR_FAULT  5    // index of the analog variable FLAG_LBL_PWR_FAULT inside analog_variables array
#define DIGITAL_VARIABLE_INDEX_FLAG_GLRA_FAULT  6    // index of the analog variable FLAG_GLRA_FAULT inside analog_variables array
#define DIGITAL_VARIABLE_INDEX_FLAG_GLRB_FAULT  7    // index of the analog variable FLAG_GLRB_FAULT inside analog_variables array
#define DIGITAL_VARIABLE_INDEX_FLAG_POWERBOARD_FAULT  8    // index of the analog variable FLAG_POWERBOARD_FAULT inside analog_variables array
#define DIGITAL_VARIABLE_INDEX_FLAG_GLRA_GOOD  9    // index of the analog variable FLAG_GLRA_GOOD inside analog_variables array
#define DIGITAL_VARIABLE_INDEX_FLAG_GLRB_GOOD  10    // index of the analog variable FLAG_GLRB_GOOD inside analog_variables array
#define DIGITAL_VARIABLE_INDEX_FLAG_POWERBOARD_GOOD  11    // index of the analog variable FLAG_POWERBOARD_GOOD inside analog_variables array
    
// some utility functions
digital_variable_t* digital_variable_get_pointer_by_enum(enum_variable_number_t _variable_index);
digitalalarm_info_t* alarm_get_digital_alarm_ptr_by_enum(enum_alarm_number_t _alarm_index);
    
    
// make digital variable list available to anyone including this file
extern digital_variable_t digital_variables[DIGITAL_VARIABLES_COUNT];

// IO read function for variable FLAG_DUL_ALARMPOS1
digital_value_t ioread_DIN_ALRMPOS1(void);

// IO read function for variable FLAG_DUL_ALARMPOS2
digital_value_t ioread_DIN_ALRMPOS2(void);

// IO read function for variable FLAG_DUL_ALARMNEG1
digital_value_t ioread_DIN_ALRMNEG1(void);

// IO read function for variable FLAG_DUL_ALARMNEG2
digital_value_t ioread_DIN_ALRMNEG2(void);

// IO read function for variable FLAG_HYDRO_PWR_FAULT
digital_value_t ioread_DIN_HYDRO_PWR_FLT(void);

// IO read function for variable FLAG_LBL_PWR_FAULT
digital_value_t ioread_DIN_LBL_PWR_FLT(void);

// IO read function for variable FLAG_GLRA_FAULT
digital_value_t ioread_DIN_GLR_A_FLT(void);

// IO read function for variable FLAG_GLRB_FAULT
digital_value_t ioread_DIN_GLR_B_FLT(void);

// IO read function for variable FLAG_POWERBOARD_FAULT
digital_value_t ioread_DIN_PWB_FLT(void);

// IO read function for variable FLAG_GLRA_GOOD
digital_value_t ioread_DIN_GLR_A_PG(void);

// IO read function for variable FLAG_GLRB_GOOD
digital_value_t ioread_DIN_GLR_B_PG(void);

// IO read function for variable FLAG_POWERBOARD_GOOD
digital_value_t ioread_DIN_PWB_PG(void);

// Callback function for alarm on digital variable FLAG_DUL_ALARMPOS1 (DUL current limiting on VEOC direct alarm 1)
void alarm_FLAG_DUL_ALARMPOS1();

// Callback function for alarm on digital variable FLAG_DUL_ALARMPOS2 (DUL current limiting on VEOC direct alarm 2)
void alarm_FLAG_DUL_ALARMPOS2();

// Callback function for alarm on digital variable FLAG_DUL_ALARMNEG1 (DUL current limiting on VEOC return alarm 1)
void alarm_FLAG_DUL_ALARMNEG1();

// Callback function for alarm on digital variable FLAG_DUL_ALARMNEG2 (DUL current limiting on VEOC return alarm 2)
void alarm_FLAG_DUL_ALARMNEG2();

// Callback function for alarm on digital variable FLAG_HYDRO_PWR_FAULT (Fault status acquisition of 12V ISO HYDRO power line)
void alarm_FLAG_HYDRO_PWR_FAULT();

// Callback function for alarm on digital variable FLAG_LBL_PWR_FAULT (Fault status acquisition of 12V ISO LBL power line)
void alarm_FLAG_LBL_PWR_FAULT();

#include "../../errors.h"


typedef struct {
    enum_switchstate_t state_SWITCH_VEOC_RETURN; // status of switch SWITCH_VEOC_RETURN, DU backbone ON/OFF return line control (high=ON)
    enum_switchstate_t state_SWITCH_VEOC_DIRECT; // status of switch SWITCH_VEOC_DIRECT, DU backbone ON/OFF forward line control (high=ON)
    enum_switchstate_t state_SWITCH_12V; // status of switch SWITCH_12V, DC-DC TDK 5/12V ISO ON/OFF control (high=ON)
    enum_switchstate_t state_SWITCH_LBL; // status of switch SWITCH_LBL, 12V ISO LBL power ON/OFF control (high=ON)
    enum_switchstate_t state_SWITCH_HYDRO; // status of switch SWITCH_HYDRO, 12V ISO HYDRO power ON/OFF control (high=ON)
    enum_switchstate_t state_SWITCH_GLRA; // status of switch SWITCH_GLRA, 12V GLENAIR-A power ON/OFF control (high=ON)
    enum_switchstate_t state_SWITCH_GLRB; // status of switch SWITCH_GLRB, 12V GLENAIR-B power ON/OFF control (high=ON)
    enum_switchstate_t state_SWITCH_PWB; // status of switch SWITCH_PWB, 12V  POWER BOARD power ON/OFF control (high=ON)
} switches_t;

extern switches_t switches;

// control functions for switch SWITCH_VEOC_RETURN, DU backbone ON/OFF return line control (high=ON)
void switch_SWITCH_VEOC_RETURN_set_closed(void);
void switch_SWITCH_VEOC_RETURN_set_open(void);
void switch_SWITCH_VEOC_RETURN_set(enum_switchstate_t _state);
enum_switchstate_t switch_SWITCH_VEOC_RETURN_get(void); 


// control functions for switch SWITCH_VEOC_DIRECT, DU backbone ON/OFF forward line control (high=ON)
void switch_SWITCH_VEOC_DIRECT_set_closed(void);
void switch_SWITCH_VEOC_DIRECT_set_open(void);
void switch_SWITCH_VEOC_DIRECT_set(enum_switchstate_t _state);
enum_switchstate_t switch_SWITCH_VEOC_DIRECT_get(void); 


// control functions for switch SWITCH_12V, DC-DC TDK 5/12V ISO ON/OFF control (high=ON)
void switch_SWITCH_12V_set_closed(void);
void switch_SWITCH_12V_set_open(void);
void switch_SWITCH_12V_set(enum_switchstate_t _state);
enum_switchstate_t switch_SWITCH_12V_get(void); 


// control functions for switch SWITCH_LBL, 12V ISO LBL power ON/OFF control (high=ON)
void switch_SWITCH_LBL_set_closed(void);
void switch_SWITCH_LBL_set_open(void);
void switch_SWITCH_LBL_set(enum_switchstate_t _state);
enum_switchstate_t switch_SWITCH_LBL_get(void); 


// control functions for switch SWITCH_HYDRO, 12V ISO HYDRO power ON/OFF control (high=ON)
void switch_SWITCH_HYDRO_set_closed(void);
void switch_SWITCH_HYDRO_set_open(void);
void switch_SWITCH_HYDRO_set(enum_switchstate_t _state);
enum_switchstate_t switch_SWITCH_HYDRO_get(void); 


// control functions for switch SWITCH_GLRA, 12V GLENAIR-A power ON/OFF control (high=ON)
void switch_SWITCH_GLRA_set_closed(void);
void switch_SWITCH_GLRA_set_open(void);
void switch_SWITCH_GLRA_set(enum_switchstate_t _state);
enum_switchstate_t switch_SWITCH_GLRA_get(void); 


// control functions for switch SWITCH_GLRB, 12V GLENAIR-B power ON/OFF control (high=ON)
void switch_SWITCH_GLRB_set_closed(void);
void switch_SWITCH_GLRB_set_open(void);
void switch_SWITCH_GLRB_set(enum_switchstate_t _state);
enum_switchstate_t switch_SWITCH_GLRB_get(void); 


// control functions for switch SWITCH_PWB, 12V  POWER BOARD power ON/OFF control (high=ON)
void switch_SWITCH_PWB_set_closed(void);
void switch_SWITCH_PWB_set_open(void);
void switch_SWITCH_PWB_set(enum_switchstate_t _state);
enum_switchstate_t switch_SWITCH_PWB_get(void); 


// return the switch state set function by switch enum
typedef void (*switch_state_set_func_t)(enum_switchstate_t _state);
switch_state_set_func_t switch_get_function_set_by_enum(enum_switchnum_t _switch_index);

// return the switch state get function by switch enum
typedef enum_switchstate_t (*switch_state_get_func_t)(void);
switch_state_get_func_t switch_get_function_get_by_enum(enum_switchnum_t _switch_index);


typedef struct {
    enum_pinstate_t state_SWITCH_LED_D9; // status of usr pin SWITCH_LED_D9, Line IN/OUT not assigned. Free line available on JP1 jumper. Usable in output to turn on the LED
    enum_pinstate_t state_SWITCH_LED_D10; // status of usr pin SWITCH_LED_D10, Line IN/OUT not assigned. Free line available on JP2 jumper. Usable in output to turn on the LED
} userpins_t;

extern userpins_t userpins;

// control functions for user pin SWITCH_LED_D9, Line IN/OUT not assigned. Free line available on JP1 jumper. Usable in output to turn on the LED
void userpin_SWITCH_LED_D9_set_high(void);
void userpin_SWITCH_LED_D9_set_low(void);
void userpin_SWITCH_LED_D9_set(enum_pinstate_t _state); 
enum_pinstate_t userpin_SWITCH_LED_D9_get(void); 


// control functions for user pin SWITCH_LED_D10, Line IN/OUT not assigned. Free line available on JP2 jumper. Usable in output to turn on the LED
void userpin_SWITCH_LED_D10_set_high(void);
void userpin_SWITCH_LED_D10_set_low(void);
void userpin_SWITCH_LED_D10_set(enum_pinstate_t _state); 
enum_pinstate_t userpin_SWITCH_LED_D10_get(void); 


// return the user pin state set function by user pin enum
typedef void (*userpin_state_set_func_t)(enum_pinstate_t _state);
userpin_state_set_func_t userpin_get_function_set_by_enum(enum_pinnum_t _userpin_index);

// return the user pin state get function by user pin enum
typedef enum_pinstate_t (*userpin_state_get_func_t)(void);
userpin_state_get_func_t userpin_get_function_get_by_enum(enum_pinnum_t _userpin_index);


#endif // _AUTOGENERATED_VARIABLES_H
