/* 
 * File:   rescue.h
 * Author: Carlo Alessandro Nicolau @ INFN
 * 
 * Firmware for BPD board.
 * Rescue functions.
 */

#ifndef __RESCUE_H
#define	__RESCUE_H

#include "mcc_generated_files/mcc.h"

// typedef for rescue action callbacks
typedef void (*rescue_action_t)(void);

// check procedure if rescue has to be activated.
// call this function in main's while loop.
void rescue_check(void);

uint16_t rescue_get_timeout_seconds(void);
void rescue_set_timeout_seconds(uint16_t _seconds);
bool rescue_get_enable_status(void);
void rescue_set_enabled(void);
void rescue_set_disabled(void);
bool rescue_get_fired_status(void);
void rescue_reset_fired_status(void);

// TODO verify rescue stuff...
#define RESCUE_ACTION_STEP_COUNT 5

#endif// __RESCUE_H

