/*
 * File:   timing.h
 * Author: Carlo Alessandro Nicolau @ INFN
 * 
 * Firmware for BPD board.
 * Timing related functions.
 * 
 */

#ifndef __TIMING_H
#define	__TIMING_H

// return the number of seconds of the rescue next step timeout 
uint8_t timing_get_rescue_step_timeout(void);

// set the number of seconds of the rescue next step timeout 
void timing_set_rescue_step_timeout(uint8_t _seconds);

// return the number of seconds elapsed since last received command
uint32_t timing_get_seconds_since_last_command(void);

// return the number of seconds elapsed since reset
uint32_t timing_get_seconds_since_reset(void);

// reset the number of seconds elapsed since last received command
void timing_reset_seconds_since_last_command(void);

// time registers update (call from slow timer's irq)
void timing_tick_irq(void);

#endif// __TIMING_H

